## obnam 0.8.1.ci20241026T063533

=== debian/changelog ===
obnam (0.8.1.ci20241026T063533-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 26 Oct 2024 06:35:33 +0000

obnam (0.8.1-1) unstable; urgency=medium

  * New Debian package

 -- Lars Wirzenius <liw@liw.fi>  Mon, 01 Jan 2024 16:22:35 +0200

obnam (0.8.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 24 Jul 2022 11:13:59 +0300

obnam (0.7.1-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 08 Mar 2022 08:17:53 +0200

obnam (0.7.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 04 Jan 2022 16:29:52 +0200

obnam (0.6.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 04 Dec 2021 08:38:15 +0200

obnam (0.5.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 20 Nov 2021 11:13:20 +0200

obnam (0.4.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 06 Jun 2021 10:25:02 +0300

obnam (0.3.1-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 23 Mar 2021 09:51:23 +0200

obnam (0.3.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 14 Mar 2021 11:15:25 +0200

obnam (0.2.2-1) unstable; urgency=low

  * Initial packaging. This is not intended to be uploaded to Debian, so
    no closing of an ITP bug.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 28 Sep 2019 16:45:49 +0300

## obnam 0.8.1.ci20250309T051205

=== debian/changelog ===
obnam (0.8.1.ci20250309T051205-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 09 Mar 2025 05:12:05 +0000

## obnam 0.9.9.ci20251019T071207

=== debian/changelog ===
obnam (0.9.9.ci20251019T071207-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 19 Oct 2025 07:12:08 +0000

obnam (0.9.9-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 19 Oct 2025 09:42:51 +0300

## obnam 0.9.9.ci20251102T152542

=== debian/changelog ===
obnam (0.9.9.ci20251102T152542-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 15:25:42 +0000

## obnam 0.9.9.ci20251107T151640

=== Makefile ===
TESTS =

all: clippy test subplot doc

clippy:
	cargo clippy --all-targets -- -Dwarnings

build:
	cargo build --all-targets

test: build
	cargo test -- ${TESTS}

.PHONY: doc
doc: subplot_build
	env 'RUSTDOCFLAGS=-D warnings' cargo doc --no-deps
	make -C doc

subplot_build:
	subplot docgen obnam.subplot --output obnam.html
	subplot codegen obnam.subplot --output test.py

subplot: subplot_build
	rm -f test.log
	python3 test.py --log test.log ${TESTS}

mutants:
	cargo mutants -e 'src/bin/**/*.rs'

roadmap.svg: roadmap.yaml
	roadmap "$<" > "$@"

=== debian/changelog ===
obnam (0.9.9.ci20251107T151640-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 07 Nov 2025 15:16:40 +0000

=== debian/control ===
Source: obnam
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: admin
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 10~)
Homepage: https://obnam.org/

Package: obnam
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: backup program
 Obnam is a command line backup program.

## obnam 0.9.9.ci20251110T082541

=== debian/changelog ===
obnam (0.9.9.ci20251110T082541-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 10 Nov 2025 08:25:41 +0000

## obnam 0.9.9.ci20251111T065907

=== debian/changelog ===
obnam (0.9.9.ci20251111T065907-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 11 Nov 2025 06:59:07 +0000

## obnam 0.9.9.ci20251112T134714

=== debian/changelog ===
obnam (0.9.9.ci20251112T134714-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 13:47:14 +0000

## obnam 0.9.9.ci20251112T150916

=== debian/changelog ===
obnam (0.9.9.ci20251112T150916-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 15:09:17 +0000

## obnam 0.9.9.ci20251114T151725

=== debian/changelog ===
obnam (0.9.9.ci20251114T151725-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 15:17:25 +0000

## obnam 0.9.9.ci20251116T064722

=== debian/changelog ===
obnam (0.9.9.ci20251116T064722-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 16 Nov 2025 06:47:22 +0000

## obnam 0.9.9.ci20251122T110513

=== debian/changelog ===
obnam (0.9.9.ci20251122T110513-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 22 Nov 2025 11:05:14 +0000

## obnam 0.9.9.ci20251122T115210

=== debian/changelog ===
obnam (0.9.9.ci20251122T115210-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 22 Nov 2025 11:52:11 +0000

## obnam 0.9.9.ci20251123T185310

=== debian/changelog ===
obnam (0.9.9.ci20251123T185310-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 23 Nov 2025 18:53:10 +0000

## obnam 0.9.9.ci20251124T103612

=== debian/changelog ===
obnam (0.9.9.ci20251124T103612-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 24 Nov 2025 10:36:13 +0000

## obnam 0.9.9.ci20251125T123908

=== debian/changelog ===
obnam (0.9.9.ci20251125T123908-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 12:39:08 +0000

## obnam 0.9.9.ci20251129T071603

=== debian/changelog ===
obnam (0.9.9.ci20251129T071603-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 29 Nov 2025 07:16:03 +0000

## obnam 0.9.9.ci20251129T073451

=== debian/changelog ===
obnam (0.9.9.ci20251129T073451-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 29 Nov 2025 07:34:51 +0000

## obnam 0.9.9.ci20251130T071700

=== debian/changelog ===
obnam (0.9.9.ci20251130T071700-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 07:17:00 +0000

## obnam 0.9.9.ci20251204T081848

=== debian/changelog ===
obnam (0.9.9.ci20251204T081848-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 04 Dec 2025 08:18:48 +0000

## obnam 0.9.9.ci20251208T121039

=== debian/changelog ===
obnam (0.9.9.ci20251208T121039-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Dec 2025 12:10:39 +0000

## obnam 0.9.9.ci20251209T152150

=== debian/changelog ===
obnam (0.9.9.ci20251209T152150-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 09 Dec 2025 15:21:51 +0000

## obnam 0.9.9.ci20251215T060634

=== debian/changelog ===
obnam (0.9.9.ci20251215T060634-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 06:06:34 +0000

## obnam 0.9.9.ci20251215T094225

=== debian/changelog ===
obnam (0.9.9.ci20251215T094225-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 09:42:25 +0000

## obnam 0.9.9.ci20251220T144016

=== debian/changelog ===
obnam (0.9.9.ci20251220T144016-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 14:40:16 +0000

## obnam 0.9.9.ci20251221T044110

=== debian/changelog ===
obnam (0.9.9.ci20251221T044110-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 04:41:10 +0000

## obnam 0.9.9.ci20251221T061235

=== debian/changelog ===
obnam (0.9.9.ci20251221T061235-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 06:12:35 +0000

## obnam 0.9.9.ci20260105T120439

=== debian/changelog ===
obnam (0.9.9.ci20260105T120439-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 05 Jan 2026 12:04:39 +0000

## obnam 0.9.9.ci20260112T123144

=== debian/changelog ===
obnam (0.9.9.ci20260112T123144-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 12 Jan 2026 12:31:44 +0000

## obnam 0.9.9.ci20260114T121905

=== debian/changelog ===
obnam (0.9.9.ci20260114T121905-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 14 Jan 2026 12:19:05 +0000

## obnam 0.9.9.ci20260117T131444

=== debian/changelog ===
obnam (0.9.9.ci20260117T131444-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 17 Jan 2026 13:14:44 +0000

## obnam 0.9.9.ci20260118T131530

=== debian/changelog ===
obnam (0.9.9.ci20260118T131530-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 18 Jan 2026 13:15:30 +0000

## obnam 0.9.9.ci20260120T114950

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,15 @@
+# Which tests to run? This applies both for `cargo test` and the Subplot tests.
 TESTS =
+
+# Build binaries for this target. Unset to use default for toolchain.
+BUILD_FOR = 
+
+# Construct cargo option for build target, if needed.
+ifdef BUILD_FOR
+TARGET_OPTION = --target $(BUILD_FOR)
+else
+TARGET_OPTION =
+endif
 
 all: clippy test subplot doc
 
@@ -6,10 +17,10 @@
 	cargo clippy --all-targets -- -Dwarnings
 
 build:
-	cargo build --all-targets
+	cargo build --all-targets $(TARGET_OPTION)
 
 test: build
-	cargo test -- ${TESTS}
+	cargo test $(TARGET_OPTION) -- ${TESTS}
 
 .PHONY: doc
 doc: subplot_build

=== debian/changelog ===
obnam (0.9.9.ci20260120T114950-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 11:49:50 +0000

## obnam 0.9.9.ci20260125T064117

=== debian/changelog ===
obnam (0.9.9.ci20260125T064117-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 25 Jan 2026 06:41:17 +0000

## obnam 0.9.9.ci20260204T093107

=== debian/changelog ===
obnam (0.9.9.ci20260204T093107-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 04 Feb 2026 09:31:10 +0000

## obnam 0.9.9.ci20260205T165528

=== debian/changelog ===
obnam (0.9.9.ci20260205T165528-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 05 Feb 2026 16:55:28 +0000

## obnam 0.9.9.ci20260211T102216

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 clippy:
 	cargo clippy --all-targets -- -Dwarnings
 
-build:
+build: clippy
 	cargo build --all-targets $(TARGET_OPTION)
 
 test: build
@@ -28,8 +28,8 @@
 	make -C doc
 
 subplot_build:
-	subplot docgen obnam.subplot --output obnam.html
-	subplot codegen obnam.subplot --output test.py
+	subplot docgen obnam/obnam.subplot --output obnam.html
+	subplot codegen obnam/obnam.subplot --output test.py
 
 subplot: subplot_build
 	rm -f test.log

=== debian/changelog ===
obnam (0.9.9.ci20260211T102216-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 11 Feb 2026 10:22:16 +0000

## obnam 0.9.9.ci20260215T091813

=== debian/changelog ===
obnam (0.9.9.ci20260215T091813-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 15 Feb 2026 09:18:13 +0000

## obnam 0.9.9.ci20260217T051217

=== debian/changelog ===
obnam (0.9.9.ci20260217T051217-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 17 Feb 2026 05:12:17 +0000

## obnam 0.9.9.ci20260222T100145

=== Makefile ===
--- 
+++ 
@@ -31,9 +31,13 @@
 	subplot docgen obnam/obnam.subplot --output obnam.html
 	subplot codegen obnam/obnam.subplot --output test.py
 
+	subplot docgen obnam-server/obnam-server.subplot --output obnam-server.html
+	subplot codegen obnam-server/obnam-server.subplot --output test-server.py
+
 subplot: subplot_build
 	rm -f test.log
 	python3 test.py --log test.log ${TESTS}
+	python3 test-server.py --log test-server.log ${TESTS}
 
 mutants:
 	cargo mutants -e 'src/bin/**/*.rs'

=== debian/changelog ===
obnam (0.9.9.ci20260222T100145-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 22 Feb 2026 10:01:46 +0000

## obnam 0.9.9.ci20260223T074159

=== debian/changelog ===
obnam (0.9.9.ci20260223T074159-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 23 Feb 2026 07:42:01 +0000

## obnam 0.9.9.ci20260301T120017

=== debian/changelog ===
obnam (0.9.9.ci20260301T120017-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 01 Mar 2026 12:00:17 +0000

## obnam 0.9.9.ci20260302T080711

=== debian/changelog ===
obnam (0.9.9.ci20260302T080711-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 02 Mar 2026 08:07:12 +0000

## obnam 0.23

=== debian/changelog ===
obnam (0.23-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Depend on newer ttystatus for fix to zero division
    bug, and non-string values for String widget.
  * debian/control: Update versioned dependency for python-larch to 0.25.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 31 Aug 2011 00:19:36 +0100

obnam (0.22-2) unstable; urgency=low

  * Fix FTBFS problem. (Closes: #639561)

 -- Lars Wirzenius <liw@liw.fi>  Sun, 28 Aug 2011 16:29:27 +0100

obnam (0.22-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update versioned depedendency on python-cliapp. Upstream
    now uses the dump_config feature in cliapp 0.18.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 25 Aug 2011 08:31:10 +0100

obnam (0.21-1) unstable; urgency=low

  * New upstream release.
  * First upload to Debian. (Closes: #636444)
  * debian/control: Update python-cliapp versioned dependency to match
    the version that provides dump_memory_profile.
  * Tweak packaging to match upstream change from Makefile+setup.py to just
    setup.py.
  * debian/control: Provide python-obnam.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 23 Aug 2011 18:07:07 +0100

obnam (0.20.1-1) squeeze; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 11 Aug 2011 10:37:15 +0100

obnam (0.20-1) squeeze; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 09 Aug 2011 11:34:12 +0100

obnam (0.19-1) squeeze; urgency=low

  * New upstream release.
  * Do not use extrautils during build anymore.
  * Install files with setup.py --install-layout=deb.
  * Upgrade dependency on python-larch to 0.21.
  * Update package description.
  * Convert into non-native package.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 03 Aug 2011 19:08:08 +0100

obnam (0.18) squeeze; urgency=low

  * New upstream release. Third BETA release.
  * debian/pycompat: useless, removed.
  * Converted to use dh_python2.
  * Bump Standards-Version. No other changes necessary.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 20 Jul 2011 23:20:44 +0100

obnam (0.17) squeeze; urgency=low

  * New upstream release. Second BETA release.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 21 May 2011 08:41:29 +0100

obnam (0.16) squeeze; urgency=low

  * New upstream release. The first BETA release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 17 Apr 2011 10:45:58 +0100

obnam (0.15.1) squeeze; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 21 Mar 2011 08:29:05 +0000

obnam (0.15) squeeze; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 21 Mar 2011 08:10:33 +0000

obnam (0.14) squeeze; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 29 Dec 2010 20:41:15 +0000

obnam (0.13) squeeze; urgency=low

  * New upstream release.
    - checkpointing bugfix
    - upload speed displayed during backups
    - posix_fadvise used when reading/writing data to local filesystem
    - --lru-size option
  * debian/control: Upgrade dependencies (run-time and build-time) for
    python-btree and python-ttystatus.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 13 Jul 2010 09:21:43 +1200

obnam (0.12.1) squeeze; urgency=low

  * debian/control: Add python-paramiko as build and run-time dependency.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 11 Jul 2010 20:06:48 +1200

obnam (0.12) squeeze; urgency=low

  * New upstream release.
    - speed optimizations, resulting in incompatible on-disk data structures
    - preliminary SFTP support
    - includes plugins in .deb (via fix in setup.py)
  * debian/control: Bumped Standards-Version. No other changed needed.
  * debian/control: Bumped required version of python-btree.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 11 Jul 2010 19:07:33 +1200

obnam (0.11) squeeze; urgency=low

  * New upstream release.
    - speed optimizations
    - some new options

 -- Lars Wirzenius <liw@liw.fi>  Mon, 05 Jul 2010 17:04:08 +1200

obnam (0.10) squeeze; urgency=low

  * Initial packaging. This is not intended to be uploaded to Debian, so
    no closing of an ITP bug.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 29 Jun 2010 16:21:31 +1200

=== debian/control ===
Source: obnam
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: python
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.3.8), 
    python-all-dev (>= 2.6.3~3), 
    python-coverage-test-runner, 
    python-larch (>= 0.25~), 
    python-ttystatus (>= 0.15),
    python-paramiko, 
    python-tracing (>= 0.2), 
    fakeroot, 
    python-cliapp (>= 0.18)
Homepage: http://braawi.org/obnam/
X-Python-Version: >= 2.6

Package: obnam
Provides: python-obnam
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, 
    python-larch (>= 0.25~), python-ttystatus (>= 0.15),
    python-paramiko, python-tracing (>= 0.2), python-cliapp (>= 0.18)
Description: online and disk-based backup application
 Obnam makes backups. Backups can be stored on local hard disks, or online 
 via the SSH SFTP protocol. The backup server, if used, does not require any 
 special software, on top of SSH.
 .
  * Snapshot backups. Every generation looks like a complete snapshot, so you 
    don't need to care about full versus incremental backups, or rotate real 
    or virtual tapes.
  * Data de-duplication, across files, and backup generations. If the backup 
    repository already contains a particular chunk of data, it will be re-used, 
    even if it was in another file in an older backup generation. This way, you 
    don't need to worry about moving around large files, or modifying them.
  * Encrypted backups, using GnuPG.
  * Push or pull operation, depending on what you need. You can run Obnam on 
    the client, and push backups to the server, or on the server, and pull 
    from the client over SFTP.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2 --with-buildsystem=python_distutils

override_dh_auto_test:
	python setup.py build_ext -i
	rm -rf build
	cp -a test-gpghome temp.gpghome
	env GNUPGHOME=temp.gpghome python setup.py check
	rm -rf temp.gpghome

## obnam 1.8

=== manual/Makefile ===
# Copyright 2014  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


TITLE_EN = Backups with Obnam
TITLE_DE = Backups mit Obnam
TRANS_DE = Übersetzung: Jan Niggemann (jn@hz6.de)
AUTHOR = Lars Wirzenius (liw@liw.fi)
VERSION = Version $(shell git describe || python ../setup.py --version)

en_sources = $(shell ls en/*.mdwn)
de_sources = $(shell ls de/*.mdwn)
outputs = \
        obnam-manual.en.pdf \
        obnam-manual.en.html \
        obnam-manual.de.pdf \
        obnam-manual.de.html

all: $(outputs)

obnam-manual.en.pdf: Makefile $(en_sources)
	./format-pdf $@ "$(TITLE_EN)" "$(AUTHOR)" "$(VERSION)" $(en_sources)

obnam-manual.en.html: Makefile $(en_sources) ../obnam.css
	./format-html $@ "$(TITLE_EN)" "$(AUTHOR)" "$(VERSION)" $(en_sources)

obnam-manual.de.pdf: Makefile $(de_sources)
	./format-de-pdf $@ \
		"$(TITLE_DE)" "$(AUTHOR)" "$(VERSION)" "$(TRANS_DE)" \
		$(de_sources)

obnam-manual.de.html: Makefile $(de_sources) ../obnam.css
	./format-de-html $@ \
		"$(TITLE_DE)" "$(AUTHOR)" "$(VERSION)" "$(TRANS_DE)" \
		$(de_sources)

clean:
	rm -f $(outputs) en/000.mdwn
	rm -f $(outputs) de/000.mdwn

## obnam 1.19.1

=== manual/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2014  Lars Wirzenius
+# Copyright 2014-2015  Lars Wirzenius
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,25 +18,40 @@
 
 TITLE_EN = Backups with Obnam
 TITLE_DE = Backups mit Obnam
+TITLE_FR = Sauvegardes avec Obnam
 TRANS_DE = Übersetzung: Jan Niggemann (jn@hz6.de)
 AUTHOR = Lars Wirzenius (liw@liw.fi)
 VERSION = Version $(shell git describe || python ../setup.py --version)
 
 en_sources = $(shell ls en/*.mdwn)
+fr_sources = $(shell ls fr/*.mdwn)
 de_sources = $(shell ls de/*.mdwn)
-outputs = \
+pdfs = \
         obnam-manual.en.pdf \
+	obnam-manual.fr.pdf \
+        obnam-manual.de.pdf
+htmls = \
         obnam-manual.en.html \
-        obnam-manual.de.pdf \
+	obnam-manual.fr.html \
         obnam-manual.de.html
 
-all: $(outputs)
+all: html pdf
+
+html: $(htmls)
+
+pdf: $(pdfs)
 
 obnam-manual.en.pdf: Makefile $(en_sources)
 	./format-pdf $@ "$(TITLE_EN)" "$(AUTHOR)" "$(VERSION)" $(en_sources)
 
 obnam-manual.en.html: Makefile $(en_sources) ../obnam.css
 	./format-html $@ "$(TITLE_EN)" "$(AUTHOR)" "$(VERSION)" $(en_sources)
+
+obnam-manual.fr.pdf: Makefile $(fr_sources)
+	./format-pdf $@ "$(TITLE_FR)" "$(AUTHOR)" "$(VERSION)" $(fr_sources)
+
+obnam-manual.fr.html: Makefile $(fr_sources) ../obnam.css
+	./format-html $@ "$(TITLE_FR)" "$(AUTHOR)" "$(VERSION)" $(fr_sources)
 
 obnam-manual.de.pdf: Makefile $(de_sources)
 	./format-de-pdf $@ \
@@ -51,3 +66,4 @@
 clean:
 	rm -f $(outputs) en/000.mdwn
 	rm -f $(outputs) de/000.mdwn
+	rm -f $(outputs) fr/000.mdwn

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2 --with-buildsystem=python_distutils

override_dh_auto_build:
	dh_auto_build
	make -C manual html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python setup.py build_ext -i
	rm -rf build
	cp -a test-gpghome temp.gpghome
	env GNUPGHOME=temp.gpghome python setup.py check -uy
	rm -rf temp.gpghome
else
	echo NOT RUNNING TESTS DUE TO DEB_BUILD_OPTIONS
endif

## obnam 1.21

=== debian/changelog ===
obnam (1.21-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 19 Feb 2017 21:32:16 +0100

obnam (1.21-1) unstable; urgency=medium

  * New upstream version.
    - Fix --one-filesystem bug (Closes: #849596)

 -- Lars Wirzenius <liw@liw.fi>  Thu, 29 Dec 2016 17:11:54 +0200

obnam (1.20.3-1) unstable; urgency=medium

  * New upstream version.
  * debian/rules: do not run yarn tests during package building to
    work around a gpg2 gpg-agent related bug that I can't seem to fix
    right now.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 15 Dec 2016 11:19:42 +0100

obnam (1.20.2-1) unstable; urgency=medium

  * New upstream version.
  * Bah. Depend on gnupg instead of gpg.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 30 Oct 2016 10:46:18 +0200

obnam (1.20.1-1) unstable; urgency=medium

  * New upstream version.
  * Add build and runtime dependency on gpg, since gpg doesn't seem to
    be effectively build-essential anymore in unstable.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 30 Oct 2016 09:22:19 +0200

obnam (1.20-1) unstable; urgency=medium

  * New upstream version.
    - list-errors produces python traceback (Closes: #837770)
    - ERROR: RD5FA4X: System error: /tmp/tmpZmTUlC/S.gpg-agent.rstrd:
      2: No such file or directory (Closes: #841295)
  * Require Python 2.7.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 29 Oct 2016 12:25:37 +0300

obnam (1.19.1-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 30 Jan 2016 11:07:22 +0200

obnam (1.19-1) unstable; urgency=medium

  * New upstream version
    * Fix "ignored Broken Pipe exception" (Closes: #679940)

 -- Lars Wirzenius <liw@liw.fi>  Fri, 15 Jan 2016 18:23:05 +0200

obnam (1.18.2-1) unstable; urgency=medium

  * New upstream release. Closes:
    - "Does not skip directories containing a CACHEDIR.TAG file"
      (Closes: #804375)

 -- Lars Wirzenius <liw@liw.fi>  Sun, 15 Nov 2015 22:12:15 +0200

obnam (1.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 06 Nov 2015 11:52:58 +0000

obnam (1.18-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 04 Nov 2015 21:52:25 +0200

obnam (1.17-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Gaudenz Steinlin <gaudenz@debian.org>  Fri, 18 Sep 2015 12:10:52 +0200

obnam (1.17-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 12 Sep 2015 12:40:10 +0300

obnam (1.16-1) unstable; urgency=medium

  * New upstream release.
    * Fix "NameError: global name 're' is not defined" (Closes: #796950)
    * Fix "NameError: global name 'netloc' is not defined" (Closes: #796139)

 -- Lars Wirzenius <liw@liw.fi>  Sun, 06 Sep 2015 16:25:28 +0300

obnam (1.15-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Gaudenz Steinlin <gaudenz@debian.org>  Wed, 26 Aug 2015 16:04:37 +0200

obnam (1.15-1) unstable; urgency=medium

  * Fix "obnam backup fails with NameError: global name 'netloc' is not
    defined" <explain what you changed and why> (Closes: #796139)
  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 19 Aug 2015 21:37:55 +0200

obnam (1.14-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 14 Aug 2015 20:51:41 +0200

obnam (1.13-1) unstable; urgency=medium

  * New upstream version.
    * Fix "R43272X: Repository doesn't contain chunk" (Closes:
      #793792)

 -- Lars Wirzenius <liw@liw.fi>  Sat, 01 Aug 2015 19:24:46 +0300

obnam (1.12-1) unstable; urgency=medium

  * New upstream version.
  * debian/rules: Added DEB_BUILD_OPTIONS support for nocheck.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 08 Jul 2015 15:58:31 +0300

obnam (1.11-1) unstable; urgency=medium

  * New upstream version.
    - Fixes the "import fmt_ga" failure. (Closes: #790845)
  * Change source package format to 3.0 (quilt).

 -- Lars Wirzenius <liw@liw.fi>  Thu, 02 Jul 2015 17:02:10 +0300

obnam (1.10-1) unstable; urgency=medium

  * New upstream version.
    * Fix "restore to /tmp messes up directory perms" by preventing
      restores to a non-empty directory. (Closes: #760492)
  * Add build-dependency on git.
  * Drop build-dependency on texlive and building of PDF form of manual.
    Texlive is an insanely large build dependency.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 01 Jul 2015 18:14:49 +0300

obnam (1.9-1) unstable; urgency=low

  * Update debian/copyright years. Thanks to Jan Niggemann.
  * Add build and runtime dependencies on python-yaml, since it is now
    needed by the "simple" format.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 22 Mar 2015 16:20:31 +0200

obnam (1.8-1) unstable; urgency=low

  * New upstream version.
    - "obnam excludes files with "syslog" in the name without me
      specifying it" (Closes: #682667)
    - "obnam: client not found, but cannot remove lock" (Closes: #675825)
    - "data leak during restore" (Closes: #745112)

 -- Lars Wirzenius <liw@liw.fi>  Tue, 13 May 2014 08:04:18 +0100

obnam (1.7.4-1) unstable; urgency=low

  * New upstream release.
    * Fix "several consecutive runs back up unmodified files" 
      (Closes: #742384)
    * Fix "obnam mount fails to retrieve files over 64KB (obnam restore
      works fine)" again. (Closes: #741968)
  * debian/control: Increase build-dependency on cmdtest to 0.12 so
    that yarn will not fail when a test creates an unreadable file.
  * debian/rules: No longer run cmdtests, since they no longer exist.
  * debian/control: Add build-dependency on texlive-lang-german, for the
    German translation of the manual.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 01 Apr 2014 11:03:18 +0100

obnam (1.7.2-1) unstable; urgency=low

  * New upstream release.
    * Fix "obnam mount fails to retrieve files over 64KB (obnam restore
      works fine)" (Closes: #741968)


## obnam 1.22

=== yarns/Makefile ===
# Copyright 2013-2014  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


yarns = $(shell ls [0-9][0-9][0-9][0-9]-*.yarn)

all: yarns.pdf yarns.html

yarns.pdf: $(yarns) Makefile
	pandoc --chapters --toc -o yarns.pdf $(yarns)

yarns.html: $(yarns) Makefile ../obnam.css
	pandoc -H ../obnam.css --smart --toc --chapters --number-sections \
                -V geometry:lettersize \
		--standalone --self-contained -o yarns.html $(yarns)

html:

clean:
	rm -f yarns.pdf

=== debian/changelog ===
obnam (1.22-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 25 Jun 2017 13:30:00 +0300

=== debian/control ===
Source: obnam
Maintainer: Lars Wirzenius <liw@liw.fi>
Uploaders: Gaudenz Steinlin <gaudenz@debian.org>
Section: python
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
    python-all-dev (>= 2.7),
    python-yaml,
    python-coverage-test-runner (>= 1.8~),
    python-larch (>= 1.20131130~),
    python-ttystatus (>= 0.23~),
    python-paramiko,
    python-tracing (>= 0.8~),
    python-cliapp (>= 1.20130808~),
    genbackupdata (>= 1.7~),
    summain (>= 0.18),
    cmdtest (>= 0.14~),
    attr,
    python-fuse,
    pandoc,
    git,
    gnupg,
    pep8
Homepage: http://obnam.org/
X-Python-Version: >= 2.7

Package: obnam
Provides: python-obnam
Architecture: linux-any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
    gnupg,
    python-larch (>= 1.20131130~),
    python-ttystatus (>= 0.23~),
    python-paramiko,
    python-tracing (>= 0.8~),
    python-cliapp (>= 1.20130808~),
    python-yaml,
    python-fuse
Description: online and disk-based backup application
 Obnam makes backups. Backups can be stored on local hard disks, or online
 via the SSH SFTP protocol. The backup server, if used, does not require any
 special software, on top of SSH.
 .
  * Snapshot backups. Every generation looks like a complete snapshot, so you
    don't need to care about full versus incremental backups, or rotate real
    or virtual tapes.
  * Data de-duplication, across files, and backup generations. If the backup
    repository already contains a particular chunk of data, it will be re-used,
    even if it was in another file in an older backup generation. This way, you
    don't need to worry about moving around large files, or modifying them.
  * Encrypted backups, using GnuPG.
  * Push or pull operation, depending on what you need. You can run Obnam on
    the client, and push backups to the server, or on the server, and pull
    from the client over SFTP.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	python setup.py build_ext -i
 	rm -rf build
 	cp -a test-gpghome temp.gpghome
-	env GNUPGHOME=temp.gpghome python setup.py check -uy
+	env GNUPGHOME=temp.gpghome python setup.py check -u
 	rm -rf temp.gpghome
 else
 	echo NOT RUNNING TESTS DUE TO DEB_BUILD_OPTIONS
